//
//  AntIot_DepthMap_define.h
//
//  Created by yanbin.dyb on 2020/4/27.
//  Copyright © 2020 duyanbin. All rights reserved.
//

//==============================================================================
//  ANTIot_typedef.h
//==============================================================================


#ifndef __ANTIOT_TYPEDEF__
#define __ANTIOT_TYPEDEF__

#ifdef __cplusplus
extern "C" {
#endif

#define ALIGN(align) __attribute__((aligned(align)))

#define LM_DRAM0(align) __attribute__((aligned(align), section(".dram0.data")))
#define LM_DRAM1(align) __attribute__((aligned(align), section(".dram1.data")))

typedef unsigned char         UINT8;
typedef signed char           INT8;
typedef char                  CHAR;

typedef unsigned short        UINT16;
typedef signed short          INT16;

typedef unsigned int          UINT32;
typedef signed int            INT32;
typedef unsigned int          BOOL;

typedef unsigned long long    UINT64;
typedef long long             INT64;

typedef float                 FLOAT32;
typedef double                FLOAT64;

typedef void                  VOID;

#define LOG_LEVEL_DEBUG 0
    
// TRUE FALSE 类型重定义
#ifndef FALSE
#define FALSE    0
#define TRUE     1
#endif
#ifndef     NULL
#define     NULL         ((VOID *)0)
#endif
//==============================================================================

#ifdef __cplusplus
}
#endif

#endif

