//
//  AntIot_DepthMap_api.c
//
//  Created by yanbin.dyb on 2020/4/27.
//  Copyright 濠曪拷 2020 duyanbin. All rights reserved.
//

#include "AntIot_DepthMap_api.h"

extern int (*printf_ptr)( const char *fmt,...);
#define printf printf_ptr
INT32 AntIot_DepthMap_apply(unsigned char *ref_binary_data, int ref_height, int ref_width,
							unsigned char *obj_binary_data, int obj_height, int obj_width,
							unsigned short *depth_out, int depth_height, int depth_width,
							int shift_num, int seg_region[4], int ref_shift[2])
{

	//InitParams();

	printf("%d  %d %d \n",shift_num, ref_height, ref_width);

	if (shift_num > 128) {
		printf("error: shift_num(%d) > max(%d)\n", shift_num, 128);
		return -1;
	}
	
	if (ref_shift[0] < 0) {
		ref_shift[0] = 0; 
	}
	if (ref_shift[1] <= 0) {
		ref_shift[1] = obj_height;
	}
	
	
	depth_compute3_1280_lres_fast(ref_binary_data, ref_height, ref_width,
			 	 	 	 	 obj_binary_data, obj_height, obj_width,
			 	 	 	 	 depth_out, 2, 1, 1,
			 	 	 	 	 shift_num, NULL, ref_shift
	                         );

    printf("depth end");

    return 0;
}

