//
//  AntIot_main.c
//
//  Created by yanbin.dyb on 2020/4/27.
//  Copyright 婕� 2020 wangqing. All rights reserved.
//
#include <string.h>
#include <stdio.h>>
#include <stdlib.h>
//#include <opencv2/core/core.hpp>
//#include <opencv2/opencv.hpp>

#include <xtensa/config/core.h>
#include <xtensa/tie/xt_core.h>
//#include <xtensa/xmp-library.h>
//#include <xtensa/system/mpsystem.h>

#include "AntIot_typedef.h"
#include "AntIot_DepthMap_api.h"
#include "ialgo.h"
#include "csi_dsp_post_process_defs.h"
#include <xtensa/tie/xt_timer.h>
#include "dmaif.h"

int (*printf_ptr)( const char *fmt,...);
#define printf printf_ptr
//int printf(const char * __restrict format, ...)
//{
////	va_list arg;
////	int rv;
////
////	va_start(arg, format);
////	rv = vfprintf(stdout, format, arg);
////	va_end(arg);
////
////	return rv;
//}

int  xt_printf(const char * __restrict format, ...)
{

}



unsigned char *ref_binary;
unsigned char *obj_binary;
unsigned short *depth;
unsigned char *temp_binary;
int face_region[4] = {0,0,0,0};
int ref_shift[2] = {480, 880};
TMDMA* idma_obj;

int dsp_ant_iot_algo(csi_dsp_algo_param_t* param)
{

    unsigned int start_time, mid_time, end_time;

    int rt;
    if(param->buffer_num<3)
    {
    	return -1;
    }
    struct csi_dsp_buffer *bufs = (struct csi_dsp_buffer *)param->buffer_struct_ptr;
    obj_binary = bufs[0].planes[0].buf_phy;   //buf 0 should be input
    depth = bufs[1].planes[0].buf_phy;		 //buf 1 should be output
    ref_binary = bufs[2].planes[0].buf_phy;	//buf2 custom defined

    idma_obj=param->get_idma_ctrl();
    printf_ptr = param->printf_func;
    int en_comp = *((int *)param->set_buf_ptr);
    if(en_comp)
    {
        temp_binary =bufs[3].planes[0].buf_phy;
    	start_time =XT_RSR_CCOUNT();
		mid_time = XT_RSR_CCOUNT();
        binary_compress_simple(obj_binary,bufs[0].height,bufs[0].width,temp_binary);
        obj_binary = temp_binary;
		end_time = XT_RSR_CCOUNT();
		printf("compress coast(): %d\n", end_time-mid_time-(mid_time-start_time));
    }


		// apply
		start_time =XT_RSR_CCOUNT();
		mid_time = XT_RSR_CCOUNT();
		rt = AntIot_DepthMap_apply(
			ref_binary, 1280, 1087,
			obj_binary, 1280,  960,
				depth, 320, 240,
				128,
				face_region, ref_shift);
		end_time = XT_RSR_CCOUNT();
		printf("apply(): %d\n", end_time-mid_time-(mid_time-start_time));

		if (rt != 0) {
			return rt;
		}


    return 0;

}
algo_func _start(csi_dsp_algo_param_t* param)
{
	param->buf_desc_num =4;

	return dsp_ant_iot_algo;
}
